Esempio n. 1
0
 public BuildingBlockBase(BlockReference blRef, string blName) : base(blRef)
 {
     BlockBase           = new BlockBase(blRef, blName);
     ExtentsInModel      = blRef.GeometricExtentsСlean();
     Floors              = BlockBase.GetPropValue <int>("^ЭТАЖ", exactMatch: false);
     IsProjectedBuilding = true;
 }
Esempio n. 2
0
        public MountingPanel(BlockReference blRefPanelSB, List <AttributeRefDetail> attrsDet, Matrix3d trans,
                             string mark, string painting, FloorMounting floor)
        {
            Floor  = floor;
            MarkSb = mark;
            MarkSbWithoutElectric = AkrHelper.GetMarkWithoutElectric(mark); //.Replace(' ', '-');
                                                                            // Проверка есть ли запись Окна _ОК1 в имени марки панели
            string windowSx;

            MarkSbWithoutElectric = AkrHelper.GetMarkWithoutWindowsSuffix(MarkSbWithoutElectric, out windowSx);
            WindowSuffix          = windowSx;

            MarkPainting = painting;

            ExtBlRef      = blRefPanelSB.Bounds;
            ExtBlRefClean = blRefPanelSB.GeometricExtentsСlean(); //blRefPanelSB.GeometricExtents;
            Thickness     = getThickness(ExtBlRefClean);
            var extTemp = ExtBlRefClean;

            extTemp.TransformBy(trans);
            ExtTransToModel = extTemp;

            IdBlRef = blRefPanelSB.Id;
            IdBtr   = blRefPanelSB.BlockTableRecord;
            AttrDet = attrsDet;
            PtCenterPanelSbInModel = getCenterPanelInModel();

            IndexConcreteClass = DefineIndexConcreteClass(MarkSb);
        }
Esempio n. 3
0
 public FacadeFrontBlock(BlockReference blRef)
 {
     Position       = blRef.Position;
     BlName         = blRef.GetEffectiveName();
     IdBlRef        = blRef.Id;
     Extents        = blRef.GeometricExtentsСlean();
     RectangleRTree = new Rectangle(Extents.MinPoint.X, Extents.MinPoint.Y, Extents.MaxPoint.X, Extents.MaxPoint.Y, 0, 0);
 }
 public FacadeFrontBlock(BlockReference blRef)
 {
     Position = blRef.Position;
     BlName = blRef.GetEffectiveName();
     IdBlRef = blRef.Id;
     Extents = blRef.GeometricExtentsСlean();
     RectangleRTree = new Rectangle(Extents.MinPoint.X, Extents.MinPoint.Y, Extents.MaxPoint.X, Extents.MaxPoint.Y, 0, 0);
 }
Esempio n. 5
0
 public ColorArea(BlockReference blRef, Album album, Matrix3d trans)
 {
     _idblRef = blRef.ObjectId;
     // Определение габаритов
     _bounds = blRef.GeometricExtentsСlean();
     _bounds.TransformBy(trans);
     _paint = album.GetPaint(blRef.Layer);
     _size  = (_bounds.MaxPoint.X - _bounds.MinPoint.X) * (_bounds.MaxPoint.Y - _bounds.MinPoint.Y);
 }
Esempio n. 6
0
 public WallElement(BlockReference blRefElem, Module module, string blName, List <Parameter> parameters, string category)
     : base(blRefElem, module, blName, parameters, category)
 {
     ExtentsClean = blRefElem.GeometricExtentsСlean();
     Contour      = getWallContour(blRefElem);
     if (Contour != null)
     {
         Contour = (Polyline)Contour.Clone();
         //Contour.UpgradeOpen();
         Contour.TransformBy(blRefElem.BlockTransform);
         //Contour.DowngradeOpen();
     }
 }
Esempio n. 7
0
 public WallElement(BlockReference blRefElem, Module module, string blName, List<Parameter> parameters, string category)
     : base(blRefElem, module, blName, parameters, category)
 {
     ExtentsClean = blRefElem.GeometricExtentsСlean();
     Contour = getWallContour(blRefElem);
     if (Contour != null)
     {
         Contour = (Polyline)Contour.Clone();
         //Contour.UpgradeOpen();
         Contour.TransformBy(blRefElem.BlockTransform);
         //Contour.DowngradeOpen();
     }
 }
Esempio n. 8
0
 public WindowRedefine(bool isAkrBlWin, BlockReference blRefWinOld, WindowTranslator translatorW)
 {
     IdBlRef = blRefWinOld.Id;
     TranslatorW = translatorW;
     IdBtrOwner = blRefWinOld.OwnerId;
     if (isAkrBlWin)
     {
         Position = blRefWinOld.Position;
     }
     else
     {
         var extOldWind = blRefWinOld.GeometricExtentsСlean();
         Position = extOldWind.MinPoint;
     }
 }
Esempio n. 9
0
 public WindowRedefine(bool isAkrBlWin, BlockReference blRefWinOld, WindowTranslator translatorW)
 {
     IdBlRef     = blRefWinOld.Id;
     TranslatorW = translatorW;
     IdBtrOwner  = blRefWinOld.OwnerId;
     if (isAkrBlWin)
     {
         Position = blRefWinOld.Position;
     }
     else
     {
         var extOldWind = blRefWinOld.GeometricExtentsСlean();
         Position = extOldWind.MinPoint;
     }
 }